<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">
    <!--  网络相关权限  -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application>
        <provider
            android:name=".provider.PushProvider"
            android:authorities="${applicationId}.szyx.push"
            android:exported="false" />

        <service android:name="org.eclipse.paho.android.service.MqttService" />
        <service
            android:name=".huawei.HwMessageService"
            android:directBootAware="true"
            android:exported="false">
            <intent-filter>
                <action android:name="com.huawei.push.action.MESSAGING_EVENT" />
            </intent-filter>
        </service>


        <meta-data
            android:name="XIAOMI_APP_ID"
            android:value="_${XIAOMI_APP_ID}" />
        <meta-data
            android:name="XIAOMI_APP_KEY"
            android:value="${XIAOMI_APP_KEY}" />
        <meta-data
            android:name="HUAWEI_APP_ID"
            android:value="_${HUAWEI_APP_ID}" />
    </application>
</manifest>